
#### Integrations

##### Code42

- Deprecated the following commands that no longer work. Use the code42-watchlist-\* commands instead.
    - **code42-departingemployee-add**
    - **code42-departingemployee-remove**
    - **code42-departingemployee-get-all**
    - **code42-departingemployee-get**
    - **code42-highriskemployee-add**
    - **code42-highriskemployee-remove**
    - **code42-highriskemployee-get-all**
    - **code42-highriskemployee-add-risk-tags**
    - **code42-highriskemployee-remove-risk-tags**
    - **code42-highriskemployee-get**
- Updated the Docker image to: *demisto/py42:1.0.0.79244*.

#### Playbooks

##### New: Code42 Add Departing Employee From Ticketing System v2

- New: Parses a Ticket Summary containing a username='username' and optionally a departure='date' and adds the user to the Code42 Departing Employee list. This playbook uses Jira out-of-the-box, but you can swap it with a different Ticketing system and achieve the same result. For example, to use Zendesk, change the command `jira-get-issue` to be `zendesk-ticket-details` and use the `id` parameter for `issueId`. Change the output (what gets parsed) to be either the Subject or the Description from Zendesk. (Available from Cortex XSOAR 6.10.0).
- This replaces the `Code42 Add Departing Employee From Ticketing System` playbook from the **Code42 Insider Threat Remediation** premium pack.

##### New: Code42 Copy File To Ticketing System v2

- New: Downloads a file from Code42 and attaches it to a ticketing system. This playbook uses Jira out-of-the-box, but you can swap it with a different Ticketing system and achieve the same result. For example, to use ServiceNow, change the command `jira-issue-upload-file` to be `servicenow-upload-file` and use the `id` parameter for `issueId` and `file_id` for `entryId`. (Available from Cortex XSOAR 6.10.0).
- This replaces the `Code42 Copy File To Ticketing System` playbook from the **Code42 Insider Threat Remediation** premium pack.

##### New: Code42 File Search v2

- New: This playbook searches for files via Code42 security events by either MD5 or SHA256 hash. The data is output to the Code42.FileEvents context for use. (Available from Cortex XSOAR 6.10.0).
- This replaces the `Code42 File Search` playbook and uses the V2 File Events.

##### New: Code42 Suspicious Activity Action v2

- New: Take corrective actions against a Code42 user found to be exposing file data. (Available from Cortex XSOAR 6.10.0).
- This replaces the `Code42 Suspicious Activity Action` playbook from the **Code42 Insider Threat Remediation** premium pack.

##### New: Code42 Suspicious Activity Review v2

- New: Detects suspicious activities of a user and allows a recipient to assess the results. Afterward, the playbook takes action on the user such as adding them to legal hold. (Available from Cortex XSOAR 6.10.0).
- This replaces the `Code42 Suspicious Activity Review` playbook from the **Code42 Insider Threat Remediation** premium pack.

##### Check Incydr Status and Close XSOAR Incident

- Added new alert states to the Code42 Check Incydr Status And Close XSOAR Incident playbook.

#### Scripts

##### Code42FileEventsToMarkdownTable

- Updated the Docker image to: *demisto/python3:3.10.13.78960*.
